Home
Home
  1. Payroll Provider Reference Implementation
  • Welcome
  • Getting started
    • Availability and Onboarding
      • Light Availability Check
      • Full Availability Check
      • Onboarding
    • Salary Deduction
      • Deduction Instruction
      • Re-running Payroll
      • Deduction Payments and Reconciliation
      • Changes to Employee Status
  • API Reference
    • Authentication
    • Idempotency
    • Webhooks
      • Webhooks
    • Salary Deduction
      • Salary Deduction Data Request
      • Salary Deduction Confirmation Submission
  • Payroll Provider Reference Implementation
    • Light Availability Check
      POST
    • Full Availability Check
      POST
    • Salary Deduction Enablement
      POST
    • Payroll Information
      GET
    • Salary Deduction Employee Data Push
      POST
  • Schemas
    • Availability Check
      • Full Availability Check Request
      • Full Availability Check Response
      • Light Availability Check Request
      • Light Availability Check Response
    • Core
      • ProblemDetails
      • MetaData
      • Paged Response
    • Deduction Instructions
      • Salary Deduction Request
      • Salary Deduction
      • Confirmation Deduction Response
      • Salary Deduction Enablement Response
      • Employee Deduction Push Response
      • Employee Deduction Push Request
      • Salary Deduction Push
      • InstructionFile
      • InstructionItem
    • Payment Account
      • Payment Account
      • Payment Information
    • Payroll
      • Employee
      • Availability Payroll
      • Availability Employment
      • Availability Employer
      • BeneficiaryAccountResponse
      • Salary Deduction Confirmation Data Submission
      • Salary Deduction Confirmation Data Submission Response
      • Salary Deduction Data Request
      • Salary Deduction Data Response
      • Payroll
      • Employee Payroll
      • Employment
      • Employer
      • Pay Date
      • Salary Deduction Enablement Request
      • PayrollScheduleResponse
    • Webhooks
      • Employee Update Payload
      • WebHook
  1. Payroll Provider Reference Implementation

Full Availability Check

POST
/deductions/availability/full
OperationId:post_full_availability_check
Find out if a Consumer can be found within a Payroll managed by the Payroll Provider.

Request

Body Params application/json

Example
{
    "availability_check": {
        "national_registration_number": "string",
        "date_of_birth": "2019-08-24",
        "given_name": "string",
        "family_name": "string",
        "email_address": "user@example.com",
        "phone_number": "string",
        "postal_code": "string",
        "currency": "GBP"
    }
}

Request Code Samples

Shell
JavaScript
Java
Swift
Go
PHP
Python
HTTP
C
C#
Objective-C
Ruby
OCaml
Dart
R
Request Request Example
Shell
JavaScript
Java
Swift
curl --location '/deductions/availability/full' \
--header 'Content-Type: application/json' \
--data-raw '{
    "availability_check": {
        "national_registration_number": "string",
        "date_of_birth": "2019-08-24",
        "given_name": "string",
        "family_name": "string",
        "email_address": "user@example.com",
        "phone_number": "string",
        "postal_code": "string",
        "currency": "GBP"
    }
}'

Responses

🟢200Success
application/json
Indicates the request was successfully processed by the server and a valid response is included in the body.
Bodyapplication/json

Example
{
    "availability_check": {
        "availability_status": "confirmed",
        "currency": "GBP",
        "employments": [
            {
                "employment": {
                    "employee_id": "be924a6e-e15e-408c-b986-039029a4d787",
                    "start_date": "2025-12-18T12:55:05.702Z",
                    "currency": "ALL",
                    "employer": {
                        "salary_deduction_opt_in_status": "pending",
                        "name": "Alice Brooke",
                        "sic_code": "64",
                        "industry_name": "Financial Services",
                        "id": "alice.brooke@example.net"
                    },
                    "payrolls": [
                        {
                            "payroll": {
                                "id": "458ab811-84f0-4c8c-b29f-c57e27b8b28d",
                                "employment_status": "unknown",
                                "contract_type": "part_time",
                                "payment_run_frequency": "unknown",
                                "annualised_salary": 266100,
                                "pay_dates": [
                                    {
                                        "pay_date": "2026-05-28",
                                        "payroll_cutoff_date": "2026-05-20",
                                        "pay_period": "5"
                                    },
                                    {
                                        "pay_date": "2026-06-28",
                                        "payroll_cutoff_date": "2026-06-20",
                                        "pay_period": "6"
                                    },
                                    {
                                        "pay_date": "2025-07-28",
                                        "payroll_cutoff_date": "2026-07-20",
                                        "pay_period": "7"
                                    }
                                ]
                            }
                        }
                    ]
                }
            }
        ]
    }
}
🟠404Record Not Found
🟠400Bad Request
🟠401Unauthorised
🟠403Forbidden
🟠404Not Found
🟠409Conflict
🟠422Unprocessable Entity
Previous
Light Availability Check
Next
Salary Deduction Enablement